Page MenuHomePhabricator

[mips][fastisel] Consider soft-float an unsupported floating point mode
ClosedPublic

Authored by sdardis on Sep 13 2016, 6:56 AM.

Details

Summary

Treat soft-float as unsupported for fast-isel. Additionally, ensure we check
that lowering f32 arguments also considers the case of soft-float mode.

Diff Detail

Event Timeline

sdardis updated this revision to Diff 71160.Sep 13 2016, 6:56 AM
sdardis retitled this revision from to [mips][fastisel] Consider soft-float an unsupported floating point mode.
sdardis updated this object.
sdardis set the repository for this revision to rL LLVM.
sdardis added a subscriber: llvm-commits.
vkalintiris added inline comments.Sep 22 2016, 5:39 AM
lib/Target/Mips/MipsFastISel.cpp
1368

We should check UnsupportedFPMode instead of useSoftFloat in order to be consistent with similar tests in other places.

test/CodeGen/Mips/Fast-ISel/fast-isel-softfloat-lower-args.ll
2

FastISel is not enabled for microMIPS as we haven't test this configuration. Also, try to enable FastISel by using -O0 and -relocation-model=pic as we do on (hopefully most of) the other tests.

sdardis updated this revision to Diff 72714.Sep 27 2016, 2:57 PM
sdardis removed rL LLVM as the repository for this revision.

Address review comments.

ehostunreach accepted this revision.Sep 28 2016, 2:23 PM
ehostunreach added a reviewer: ehostunreach.
ehostunreach added a subscriber: ehostunreach.

LGTM.

This revision is now accepted and ready to land.Sep 28 2016, 2:23 PM

Thanks, committed rL283209.

sdardis closed this revision.Oct 4 2016, 4:50 AM